Summary:	A tool maintaining translations anywhere
Name:		po4a
Version:	0.69
Release:	%mkrel 1
Group:		System/Internationalization
License:	GPLv2+
URL:		https://po4a.org/
Source0:	https://github.com/mquinson/po4a/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	perl(Locale::gettext) >= 1.01
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Pod::Parser)
BuildRequires:	perl(SGMLS) >= 1.03ii
BuildRequires:	perl(Term::ReadKey)
BuildRequires:	perl(Text::WrapI18N)
BuildRequires:	perl(Unicode::GCString)
BuildRequires:	gettext
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
Requires:	gettext
BuildArch:	noarch

%description
The po4a (po for anything) project goal is to ease translations (and
more interestingly, the maintenance of translations) using gettext
tools on areas where they were not expected like documentation.

%prep
%setup -q

%build
%__perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=%{buildroot} create_packlist=0

%find_lang %{name} --with-man --all-name

%files -f %{name}.lang
%doc README* COPYING TODO
%{_bindir}/po4a*
%{_bindir}/msguntypot
%{perl_vendorlib}/Locale/Po4a
%{_mandir}/man?/*


%changelog
* Mon Jan 23 2023 daviddavid <daviddavid> 0.69-1.mga9
+ Revision: 1935160
- new version: 0.69

* Mon Nov 14 2022 daviddavid <daviddavid> 0.68-1.mga9
+ Revision: 1907138
- new version: 0.68

* Wed Mar 23 2022 umeabot <umeabot> 0.66-2.mga9
+ Revision: 1821065
- Mageia 9 Mass Rebuild

* Wed Feb 02 2022 mrambo3501 <mrambo3501> 0.66-1.mga9
+ Revision: 1770923
- version 0.66

* Tue Mar 02 2021 daviddavid <daviddavid> 0.63-1.mga9
+ Revision: 1695898
- new version: 0.63

* Tue Dec 15 2020 daviddavid <daviddavid> 0.62-1.mga8
+ Revision: 1657902
- new version: 0.62

* Thu Oct 22 2020 daviddavid <daviddavid> 0.61-1.mga8
+ Revision: 1638070
- new version: 0.61

* Sat Jul 25 2020 daviddavid <daviddavid> 0.60-1.mga8
+ Revision: 1608922
- new version: 0.60
- add locales-en as a build dependency

* Sat Jul 25 2020 daviddavid <daviddavid> 0.59.1-3.mga8
+ Revision: 1608913
- compile with "LANG=C.utf8"

* Sat Jul 25 2020 daviddavid <daviddavid> 0.59.1-2.mga8
+ Revision: 1608909
- add missing BR on perl(Pod::Parser) to fix build

* Fri May 29 2020 daviddavid <daviddavid> 0.59.1-1.mga8
+ Revision: 1588735
- new version: 0.59.1

* Mon Feb 17 2020 umeabot <umeabot> 0.57-2.mga8
+ Revision: 1537760
- Mageia 8 Mass Rebuild

* Fri Nov 08 2019 daviddavid <daviddavid> 0.57-1.mga8
+ Revision: 1458834
- new version: 0.57

* Thu Jul 04 2019 daviddavid <daviddavid> 0.56-1.mga8
+ Revision: 1418532
- new version: 0.56

* Tue Jan 01 2019 daviddavid <daviddavid> 0.55-1.mga7
+ Revision: 1348337
- new version: 0.55

* Thu Sep 20 2018 umeabot <umeabot> 0.54-2.mga7
+ Revision: 1288047
- Mageia 7 Mass Rebuild

* Sun Jul 08 2018 daviddavid <daviddavid> 0.54-1.mga7
+ Revision: 1242561
- new version: 0.54

* Thu Jun 14 2018 daviddavid <daviddavid> 0.53-1.mga7
+ Revision: 1236834
- new version: 0.53
- update URL and Source URL

* Sun Oct 08 2017 daviddavid <daviddavid> 0.52-1.mga7
+ Revision: 1170222
- new version: 0.52

* Wed Jul 19 2017 daviddavid <daviddavid> 0.51-1.mga7
+ Revision: 1125328
- new version: 0.51

* Sun Jun 19 2016 pterjan <pterjan> 0.47-3.mga6
+ Revision: 1036247
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.47-2.mga6
+ Revision: 970263
- Mageia 6 Mass Rebuild

* Fri Oct 02 2015 daviddavid <daviddavid> 0.47-1.mga6
+ Revision: 885655
- new version: 0.47
- update URL and Source URL

* Wed Oct 15 2014 umeabot <umeabot> 0.45-4.mga5
+ Revision: 748629
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.45-2.mga4
+ Revision: 537839
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.45-1.mga4
+ Revision: 487930
- New version: 0.45

* Sun Jun 23 2013 fwang <fwang> 0.44-5.mga4
+ Revision: 445871
- fix tempfile usage

* Sun Apr 07 2013 luigiwalser <luigiwalser> 0.44-4.mga3
+ Revision: 408804
- rebuild to really fix mga#9055

* Sun Mar 17 2013 lmenut <lmenut> 0.44-3.mga3
+ Revision: 403610
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Sun Jan 13 2013 umeabot <umeabot> 0.44-2.mga3
+ Revision: 377985
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 27 2012 shlomif <shlomif> 0.44-1.mga3
+ Revision: 310877
- New version 0.44

* Fri Jun 08 2012 fwang <fwang> 0.42-1.mga3
+ Revision: 257396
- new version 0.42

* Mon Aug 15 2011 fwang <fwang> 0.41-1.mga2
+ Revision: 133469
- really update file list
- use find_lang against manpages
- br xsl
- br xsltproc
- new version 0.41

* Fri Feb 18 2011 pterjan <pterjan> 0.39-2.mga1
+ Revision: 53550
- imported package po4a


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.39-2mdv2011.0
+ Revision: 614601
- the mass rebuild of 2010.1 packages

* Fri Feb 12 2010 Funda Wang <fwang@mandriva.org> 0.39-1mdv2010.1
+ Revision: 504743
- update file list
- fix build
- New version 0.39

* Sun Nov 15 2009 Funda Wang <fwang@mandriva.org> 0.36.6-1mdv2010.1
+ Revision: 466287
- new version 0.36.6

* Thu Oct 01 2009 Funda Wang <fwang@mandriva.org> 0.36.4-1mdv2010.0
+ Revision: 451969
- New version 0.36.4

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.35-2mdv2010.0
+ Revision: 441883
- rebuild

* Sun Mar 15 2009 Funda Wang <fwang@mandriva.org> 0.35-1mdv2009.1
+ Revision: 355175
- New version 0.35

* Fri Aug 01 2008 Funda Wang <fwang@mandriva.org> 0.34-1mdv2009.0
+ Revision: 259132
- New version 0.34

* Sat May 03 2008 Funda Wang <fwang@mandriva.org> 0.33.3-1mdv2009.0
+ Revision: 200733
- adding missing files
- New version 0.33.3

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.32-1mdv2008.1
+ Revision: 136426
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 01 2007 Funda Wang <fwang@mandriva.org> 0.32-1mdv2008.0
+ Revision: 77341
- New version 0.32

* Thu May 31 2007 Funda Wang <fwang@mandriva.org> 0.31-1mdv2008.0
+ Revision: 33009
- New version
- Import po4a



* Fri Jul 14 2006 Oden Eriksson <oeriksson@mandriva.com> 0.26-1mdv2007.0
- initial Mandriva package (ATrpms import)
